PMAP_ENTER(9)

NAME
pmap_enter - insert a virtual page into a physical map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_enter(pmap_t pmap, vm_offset_t va, vm_page_t p, vm_prot_t prot, boolean_t wired);

DESCRIPTION
The pmap_enter() function inserts the given physical page p, into the physical map pmap, at the virtual address va, with the protection prot. If wired is TRUE, then increment the wired count for the page as soon as the mapping is inserted into pmap.

IMPLEMENTATION NOTES
This routine MAY NOT lazy-evaluate the entry; it is required by specification to make the requested entry at the time it is called.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.